<template>
  <li>
    <h1>Użytkownik: {{ userEmail }}</h1>
    <h2>Termin wysłania: {{ showDate }}</h2>
    <a :href="`http://formularz_prac${filePath}`" download>Pobierz pracę</a>
  </li>
</template>

<script setup>
import { defineProps, computed } from "vue";

const props = defineProps(["userEmail", "dateTime", "filePath", "fileType"]);

const showDate = computed(function () {
  const date = props.dateTime;
  return (
      date.substring(8, 10) +
      "." +
      date.substring(5, 7) +
      "." +
      date.substring(0, 4) +
          " " +
      date.substring(11, 19)
  );
});
</script>

<style scoped>
li {
  margin: 1rem 0;
  border: 1px solid #424242;
  border-radius: 12px;
  padding: 1rem;
}

h1 {
  margin: 0;
}

h2 {
  margin-top: 0.2rem;
  margin-bottom: 1rem;
}

a {
  text-decoration: none;
  padding: 0.75rem 1.5rem;
  font: inherit;
  background-color: #3a0061;
  border: 1px solid #3a0061;
  color: white;
  cursor: pointer;
  border-radius: 30px;
  margin-right: 0.5rem;
  display: inline-block;
}

a:hover,
a:active,
button:hover,
button:active {
  background-color: #270041;
  border-color: #270041;
}
</style>